# MatMFFDType

algorithm used to compute the h used in computing matrix-vector products via differencing of the function

### Synopsis

    #define MatMFFDType const char*
    #define MATMFFD_DS  "ds"
    #define MATMFFD_WP  "wp"

    EXTERN PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDSetType(Mat,MatMFFDType);

### See Also

MatMFFDSetType(), MatMFFDRegister()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages